<app-header-logged pageOrigine="/assurinfove">
    <ion-back-button text="" defaultHref="/simbranauto"></ion-back-button>
</app-header-logged>


<app-ariane etape=4 *ngIf="typeOrigineRoutine != typeRoutineNewObject"> </app-ariane>
<ion-content>
    <app-refresher></app-refresher>

    <div class="container">
        <div *ngIf="typeOrigineRoutine == typeRoutineNewContratLoc || typeOrigineRoutine == typeRoutineRenewContratLoc" class="inputBlock">
            <p class="question" translate>choisissez_un_vehicule</p>
            <div class="itemInput">
                <ion-grid>
                    <ion-row>
                        <ion-col>
                            <ionic-selectable modalCssClass="modal-css" #portComponent height="80%" color="light" [(ngModel)]="objetSelection" [ngModelOptions]="{standalone: true}" [items]="objetsAssures" itemValueField="id" itemTextField="intitule" [canSearch]="true" (onChange)="portChangeObjet($event)"
                                [canClear]="true" [clearButtonText]="effacer" [closeButtonText]="retour">
                                <ng-template ionicSelectableHeaderTemplate>
                                    <ion-toolbar>
                                        <ion-buttons end>
                                            <button ion-button (click)="portComponent.close()">
                                                <ion-label color="primary">{{portComponent.closeButtonText}}</ion-label>
                                            </button>
                                        </ion-buttons>
                                        <ion-title translate>
                                            selection_objet
                                        </ion-title>
                                    </ion-toolbar>
                                </ng-template>
                                <ng-template ionicSelectableSearchFailTemplate>
                                    <div padding translate>
                                        vehicule_non_enregistrer_en_base
                                    </div>
                                </ng-template>
                                <ng-template ionicSelectableItemTemplate let-port="item">
                                    <ion-grid>
                                        <ion-row *ngFor="let item of port.TabAtrributs">
                                            <ion-col *ngIf="item.attribut.code == 'immatriculation'">
                                                {{item.valeur}}
                                            </ion-col>
                                            <ion-col *ngIf="item.attribut.code == 'marqueVehiculeAuto'">
                                                {{item.valeur}}
                                            </ion-col>
                                            <ion-col *ngIf="item.attribut.code == 'marqueVehiculeMoto'">
                                                {{item.valeur}}
                                            </ion-col>
                                            <ion-col *ngIf="item.attribut.code == 'appellationCom'">
                                                {{item.valeur}}
                                            </ion-col>
                                            <ion-col *ngIf="item.attribut.code == 'appellationComMoto'">
                                                {{item.valeur}}
                                            </ion-col>
                                        </ion-row>
                                    </ion-grid>
                                </ng-template>
                            </ionic-selectable>
                        </ion-col>
                    </ion-row>
                </ion-grid>


            </div>
        </div>
        <p class="topHeading" translate>creer_objet_assure</p>

        <form [formGroup]="onDeclarationForm">
            <div *ngIf="typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine != typeRoutineNewObject" class="inputBlock">
                <p class="question" translate>numero_titulaire</p>
                <div class="itemInput" [ngClass]="onDeclarationForm.get('numTitulaire').hasError('required') &&  formInvalide?'writeError':''">
                    <ion-input [disabled]="typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null" color="light" background="light" type="text" formControlName="numTitulaire" required>
                    </ion-input>
                </div>
            </div>

            <div *ngFor="let item of this.TabAttributsParentAndFilsObjets">
                <!-- For input -->
                <div class="inputBlock" *ngIf="(item.typeInput=='text')">
                    <p class="question" translate>{{item.libelle}}</p>
                    <div [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeError':''" class="itemInput ">
                        <ion-input [placeholder]="item.placeholder" [disabled]="((typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null) || (typeOrigineRoutine == typeRoutineSimulationLoc && item.code == 'immatriculation'))" color="light" type="{{item.typeInput}}"
                            formControlName="{{item.code}}" required>
                        </ion-input>
                    </div>
                </div>
                <!-- End Input -->

                <!-- Select  -->
                <div *ngIf="(item.typeInput == 'select' && item.affichageEtape != -1) && ((typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine == typeRoutineEditObject || typeOrigineRoutine == typeRoutineSimulationLoc || typeOrigineRoutine == typeRoutineNewContratLoc))">
                    <div class="inputBlock" *ngIf="(item.selectSimple)">
                        <p class="question" translate>{{item.libelle}}</p>
                        <div [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeError':''" class="itemInput">
                            <ion-select [disabled]="((typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null) || (typeOrigineRoutine == typeRoutineSimulationLoc))" color="light" formControlName="{{item.code}}">
                                <ion-select-option *ngFor="let listeValeur of item.listevaleur" [value]="listeValeur.libelle">
                                    {{listeValeur.libelle | translate}}
                                </ion-select-option>
                            </ion-select>
                        </div>
                        <div>
                            <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('required')">
                                <ion-text color="danger" translate>
                                    champ_obligatoire
                                </ion-text>
                            </p>
                        </div>
                    </div>

                    <!-- Complex -->
                    <div *ngIf="(item.code=='marqueVehiculeAuto' || item.code=='marqueVehiculeMoto') && (typeOrigineRoutine == typeRoutineNewObject  || typeOrigineRoutine != typeRoutineNewObject)" class="inputBlock" [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeError':''">
                        <p class="question" translate>quelle_est_la_marque_de_votre_vehicule</p>
                        <div class="itemInput">
                            <ion-grid>
                                <ion-row>
                                    <ion-col>
                                        <ionic-selectable [disabledItems]="typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null?marques:''" modalCssClass="modal-css" #portComponent height="80%" color="light" [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeError':''"
                                            formControlName="{{item.code}}" [(ngModel)]="marque" [items]="marques" itemValueField="name" itemTextField="name" [canSearch]="true" (onChange)="portChange($event)" [canClear]="true" [clearButtonText]="effacer"
                                            [closeButtonText]="retour">
                                            <ng-template ionicSelectableHeaderTemplate>
                                                <ion-toolbar>
                                                    <ion-buttons end>
                                                        <button ion-button (click)="portComponent.close()">
                                                            <ion-label color="primary">{{portComponent.closeButtonText}}
                                                            </ion-label>
                                                        </button>
                                                    </ion-buttons>
                                                    <ion-title translate>
                                                        MARQUE
                                                    </ion-title>
                                                </ion-toolbar>
                                            </ng-template>
                                            <ng-template ionicSelectableSearchFailTemplate>
                                                <div padding translate>
                                                    marque_non_prise_en_charge
                                                </div>
                                            </ng-template>
                                            <ng-template ionicSelectableItemTemplate let-port="item">
                                                <figure>
                                                    <a>
                                                        <p> <img class="icone" src={{port.path}} alt="" />

                                                            <figcaption style="margin-left :7%;">{{port.name}}
                                                            </figcaption>

                                                    </a>
                                                </figure>
                                            </ng-template>
                                        </ionic-selectable>
                                    </ion-col>
                                </ion-row>
                            </ion-grid>
                        </div>
                    </div>

                    <div *ngIf="(item.code=='appellationCom' || item.code=='appellationComMoto') && (typeOrigineRoutine == typeRoutineNewObject  || typeOrigineRoutine != typeRoutineNewObject)" class="inputBlock" [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeError':''">
                        <p class="question" translate>et_le_modele</p>
                        <div class="itemInput">
                            <ion-grid>
                                <ion-row>
                                    <ion-col>
                                        <ionic-selectable [disabledItems]="typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null?marques:''" color="light" modalCssClass="modal-css" formControlName="{{item.code}}" (onOpen)="onOpen($event)" #portModele [(ngModel)]="modele"
                                            [items]="marque.listeModeles" itemValueField="name" itemTextField="name" [canSearch]="true" [clearButtonText]="effacer" [canClear]="true">
                                            <ng-template ionicSelectableHeaderTemplate>
                                                <ion-toolbar>
                                                    <ion-buttons end>
                                                        <button ion-button (click)="portModele.close()">
                                                            <ion-label color="primary" translate>retour</ion-label>
                                                        </button>
                                                    </ion-buttons>
                                                    <ion-title>
                                                        {{marque.name}}
                                                    </ion-title>
                                                </ion-toolbar>
                                            </ng-template>
                                            <ng-template ionicSelectableSearchFailTemplate>
                                                <div padding>
                                                    <ion-text *ngIf="marque.name !=null" translate>
                                                        modele_prise_en_charge
                                                    </ion-text>
                                                    <ion-text *ngIf="marque.name ==null" translate>
                                                        definir_la_marque_du_vehicule
                                                    </ion-text>
                                                </div>
                                            </ng-template>
                                        </ionic-selectable>
                                    </ion-col>
                                </ion-row>
                            </ion-grid>

                        </div>
                    </div>
                    <!-- End -->
                </div>
                <!-- End select simple -->
                <!-- Radio -->
                <div *ngIf="item.typeInput=='radio'">
                    <br>
                    <p class="question" translate>{{item.libelle}}</p>
                    <ion-radio-group formControlName="{{item.code}}">
                        <ion-grid>
                            <ion-row>
                                <ion-col *ngFor="let energie of item.listevaleur">
                                    <!-- <ion-label class ="labelRadio">ESSENCE</ion-label><br> -->
                                    <ion-item *ngIf="item.radioImage" [disabled]="((typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null) || ((typeOrigineRoutine == typeRoutineSimulationLoc && item.radioSimple) || ( typeOrigineRoutine == typeRoutineSimulationLoc && item.radioImage)))">
                                        <label class="labelRadio" (click)="getCarburant(energie.code)">
                                            <img class="iconeRadio" [ngClass]="this.valCarburant==energie.code?'radioChecked':''"
                                                src="../../assets/icon/{{energie.code}}.svg" [alt]="energie.code" />
                                                <p class="labelRadio">{{energie.libelle}}</p>
                                            <!-- <img *ngIf="energie.code === 'diesel'" class="iconeRadio"
                                                [ngClass]="this.valCarburant==energie.code?'radioChecked':''"
                                                src="../../assets/icon/gasGasoil.svg" [alt]="energie.code" />
                                            <p class="labelRadio">{{energie.libelle}}</p> -->
                                        </label>
                                    </ion-item>
                                    <ion-radio mode="md" [ngClass]="item.radioImage? 'radioBouton': ''" [value]="energie.code" [checked]="item.code == 'valTypeEnergie'? valCarburant== energie.code : valRemorque == energie.code" [disabled]="((typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null) || (typeOrigineRoutine == typeRoutineSimulationLoc && item.radioSimple || item.radioImage))">
                                    </ion-radio><br>
                                    <ion-label *ngIf="item.radioSimple" class="labelRadio" translate>
                                        {{energie.libelle === 'Oui' ? 'Avec Remorque' : 'Sans Remorque'}}
                                    </ion-label>
                                </ion-col>
                            </ion-row>
                        </ion-grid>
                    </ion-radio-group>
                    <!-- infosAutomobile.carburant == null && -->
                    <p ion-text class="text08" *ngIf="formInvalide">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>
                </div>
                <!-- End Radio -->

                <!-- Number -->
                <!-- class="inputs" for small one -->
                <div *ngIf="item.typeInput=='number'">

                    <div *ngIf="typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine != typeRoutineNewObject" class="inputBlock">
                        <p class="question" translate>{{item.libelle}}</p>
                        <div [ngClass]="(onDeclarationForm.get(item.code).hasError('required') || onDeclarationForm.get(item.code).hasError('min')
      || onDeclarationForm.get(item.code).hasError('max') ) &&  formInvalide?'writeError':''" class="itemInput">
                            <ion-input color="light" [disabled]="((typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null) || (typeOrigineRoutine == typeRoutineSimulationLoc))" type="number" formControlName="{{item.code}}"></ion-input>

                        </div>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('required')">
                            <ion-text color="danger" translate>
                                champ_obligatoire
                            </ion-text>
                        </p>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('min')">
                            <ion-text color="danger" translate>
                                nombre_de_place_inferieur_a {{minNombrePlace}}
                            </ion-text>
                        </p>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('max')">
                            <ion-text color="danger" translate>
                                nombre_de_place_superieur_a {{maxNombrePlace}}
                            </ion-text>
                        </p>
                    </div>

                </div>
                <!-- End Number -->

                <!-- Date -->
                <div *ngIf="item.typeInput=='date'">
                    <div class="inputBlock">
                        <p class="question" translate>{{item.libelle}}</p>
                        <div class="itemInput" [ngClass]="(onDeclarationForm.get(item.code).hasError('required') || onDeclarationForm.get(item.code).hasError('min')
        || onDeclarationForm.get(item.code).hasError('max') ) &&  formInvalide?'writeError':''">
                            <ion-input [disabled]="((typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null))" type="date" color="light" formControlName="{{item.code}}">
                            </ion-input>
                        </div>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('required')">
                            <ion-text color="danger" translate>
                                champ_obligatoire
                            </ion-text>
                        </p>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('min')">
                            <ion-text color="danger" translate>
                                annee_inferieur_a {{minAnnee}}
                            </ion-text>
                        </p>
                        <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(item.code).hasError('max')">
                            <ion-text color="danger">
                                annee_superieur_a {{maxAnnee}}
                            </ion-text>
                        </p>


                    </div>
                    <!-- <div class="inputBlock" *ngIf="typeOrigineRoutine != typeRoutineNewObject">
                        <p class="question" translate>date_de_validite_de_votre_visite_technique</p>
                        <div [ngClass]="onDeclarationForm.get('controleTechnique').hasError('required') &&  formInvalide?'writeError':''" class="itemInput">
                            <ion-input [disabled]="(typeOrigineRoutine != typeRoutineNewObject && typeOrigineRoutine != typeRoutineSimulationLoc) && this.objetSelection!=null" *ngIf="infosAutomobile.controleTechnique !=null" type="date" [value]="utilsService.displayDateFormatInput(infosAutomobile.controleTechnique.dateValidite)"
                                color="light" [ngClass]="onDeclarationForm.get('controleTechnique').hasError('required') &&  formInvalide?'writeError':''" formControlName="controleTechnique"></ion-input>
                        </div>
                    </div>

                    <div class="inputBlock" *ngIf="typeOrigineRoutine == typeRoutineNewObject && this.showDateVisiteTech">
                        <p class="question" translate>date_de_validite_de_votre_visite_technique</p>
                        <div [ngClass]="onDeclarationForm.get('controleTechnique').hasError('required') &&  formInvalide?'writeError':''" class="itemInput">
                            <ion-input type="date" [ngClass]="onDeclarationForm.get('controleTechnique').hasError('required') &&  formInvalide?'writeError':''" formControlName="controleTechnique"></ion-input>
                        </div>
                    </div> -->
                </div>
                <!-- End Date -->

                <!-- Range -->
                <div *ngIf="(item.typeInput === 'range') && (typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine == typeRoutineEditObject || typeOrigineRoutine == typeRoutineSimulationLoc || typeOrigineRoutine == typeRoutineNewContratLoc)">
                    <!--Type Range-->
                    <div class="scaleContainer">
                        <p class="heading" translate>{{item.libelle}}</p>

                        <ion-badge slot="end" *ngIf="item.code == 'valPuissance'">
                            <ion-label class="valeur" *ngIf="valuePuissance<=40">{{valuePuissance}} CV </ion-label>
                            <ion-label class="valeur" *ngIf="valuePuissance>40">40+ CV</ion-label>
                        </ion-badge>

                        <ion-badge slot="end" *ngIf="item.code == 'valCylindree'">
                            <ion-label class="valeur" *ngIf="valueCylindre<=40">{{valueCylindre}} CV </ion-label>
                            <ion-label class="valeur" *ngIf="valueCylindre>40">40+ CV</ion-label>
                        </ion-badge>

                    </div>

                    <div *ngIf="((typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine == typeRoutineEditObject || typeOrigineRoutine == typeRoutineSimulationLoc || typeOrigineRoutine == typeRoutineNewContratLoc))">
                        <ion-range [disabled]="typeOrigineRoutine != typeRoutineNewObject && this.objetSelection!=null" [ngClass]="onDeclarationForm.get(item.code).hasError('required') &&  formInvalide?'writeRangeError':''" name="{{item.code}}" min="0" max="50" step="1" formControlName="{{item.code}}">
                            <ion-icon class="icon1" slot="start" name="ios-ellipse"></ion-icon>
                            <ion-icon class="icon2" slot="end" name="ios-ellipse"></ion-icon>
                        </ion-range>
                        <div class="rangeNumbers">
                            <p>0</p>
                            <p>10</p>
                            <p>20</p>
                            <p>30</p>
                            <p>40</p>
                            <p>Plus</p>
                        </div>
                    </div>
                </div>
                <!-- End Range -->
            </div>
            <!-- <div class="inputBlock" *ngIf="typeOrigineRoutine == typeRoutineNewObject && this.showImmatriculation || typeOrigineRoutine != typeRoutineNewObject">
                <p class="question" translate>numero_immatriculation</p>
                <div [ngClass]="onDeclarationForm.get('matricule').hasError('required') &&  formInvalide?'writeError':''" class="itemInput ">
                    <ion-input placeholder="Entrer votre immatriculation" [disabled]="(typeOrigineRoutine != typeRoutineNewObject && this.objetSelection!=null)||(typeOrigineRoutine == typeRoutineEditObject)" [value]="infosAutomobile.matricule" color="light" type="text" formControlName="matricule"
                        required></ion-input>
                </div>
            </div>
            <div *ngIf="typeOrigineRoutine == typeRoutineNewObject && this.showCarteGrise || typeOrigineRoutine != typeRoutineNewObject" class="inputBlock">
                <p class="question" translate>numero_carte_grise</p>
                <div class="itemInput" [ngClass]="onDeclarationForm.get('numCarteGrise').hasError('required') &&  formInvalide?'writeError':''">
                    <ion-input [disabled]="typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null" [value]="infosAutomobile.numCarteGrise" color="light" background="light" type="text" formControlName="numCarteGrise" required></ion-input>
                </div>
            </div>
            <div *ngIf="typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine != typeRoutineNewObject" class="inputBlock">
                <p class="question" translate>numero_titulaire</p>
                <div class="itemInput" [ngClass]="onDeclarationForm.get('numTitulaire').hasError('required') &&  formInvalide?'writeError':''">
                    <ion-input [disabled]="typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null" color="light" background="light" type="text" formControlName="numTitulaire" required></ion-input>
                </div>
            </div> -->


            <!-- <div class="inputBlock">
                <p class="question" translate>usage</p>
                <div [ngClass]="onDeclarationForm.get('usage').hasError('required') &&  formInvalide?'writeError':''" class="itemInput">
                    <ion-select [disabled]="typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null" color="light" formControlName="usage">
                        <ion-select-option value="Particulier" translate>particulier</ion-select-option>
                        <ion-select-option value="Business" translate>business</ion-select-option>
                    </ion-select>
                </div>
            </div> -->

            <!-- FOR NEWOBJET && Voiture || Routine Simulation -->
            <!-- <div *ngIf="((typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine == typeRoutineEditObject || typeOrigineRoutine == typeRoutineSimulationLoc) && this.showValPuissance)" class="scaleContainer">
                <p class="heading " translate>puissance_fiscale</p>
                <div class="scaleValue">
                    <ion-badge slot="end">
                        <ion-label class="valeur" *ngIf="valuePuissance<=40">{{valuePuissance}} CV </ion-label>
                        <ion-label class="valeur" *ngIf="valuePuissance>40">40+ CV</ion-label>
                    </ion-badge>
                </div>
            </div>
            <div *ngIf="((typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine == typeRoutineEditObject || typeOrigineRoutine == typeRoutineSimulationLoc) && this.showValPuissance)">
                <ion-range [disabled]="typeOrigineRoutine != typeRoutineNewObject && this.objetSelection!=null" [ngClass]="onDeclarationForm.get('puissance').hasError('required') &&  formInvalide?'writeRangeError':''" name="valuePuissance" [(ngModel)]="valuePuissance"
                    min="0" max="50" step="1" formControlName="puissance">
                    <ion-icon class="icon1" slot="start" name="ios-ellipse"></ion-icon>
                    <ion-icon class="icon2" slot="end" name="ios-ellipse"></ion-icon>
                </ion-range>
                <div class="rangeNumbers">
                    <p>0</p>
                    <p>10</p>
                    <p>20</p>
                    <p>30</p>
                    <p>40</p>
                    <p>Plus</p>
                </div>
            </div> -->
            <!-- END -->

            <!-- FOR NEWOBJET && MOTO || Routine Simulation -->
            <!-- <div *ngIf="((typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine == typeRoutineEditObject || typeOrigineRoutine == typeRoutineSimulationLoc) && this.showCylyndre)" class="scaleContainer">
                <p class="heading" translate>Cylindrée</p>
                <div class="scaleValue">
                    <ion-badge slot="end">
                        <ion-label class="valeur" *ngIf="valueCylindre<=40">{{valueCylindre}} CV </ion-label>
                        <ion-label class="valeur" *ngIf="valueCylindre>40">40+ CV</ion-label>
                    </ion-badge>
                </div>
            </div>
            <div *ngIf="((typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine == typeRoutineEditObject || typeOrigineRoutine == typeRoutineSimulationLoc) && this.showCylyndre)">
                <ion-range [disabled]="typeOrigineRoutine != typeRoutineNewObject && this.objetSelection!=null" [ngClass]="onDeclarationForm.get('cylindre').hasError('required') &&  formInvalide?'writeRangeError':''" name="valueCylindre" [(ngModel)]="valueCylindre" min="0"
                    max="50" step="1" formControlName="cylindre">
                    <ion-icon class="icon1" slot="start" name="ios-ellipse"></ion-icon>
                    <ion-icon class="icon2" slot="end" name="ios-ellipse"></ion-icon>
                </ion-range>
                <div class="rangeNumbers">
                    <p>0</p>
                    <p>10</p>
                    <p>20</p>
                    <p>30</p>
                    <p>40</p>
                    <p>Plus</p>
                </div>
            </div> -->
            <!-- END -->
            <!-- CARROSSERIE -->
            <!-- <div class="inputBlock" *ngIf="((typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine == typeRoutineEditObject || typeOrigineRoutine == typeRoutineSimulationLoc) && this.showTypeCarosserie)">
                <p class="question" translate>type_de_carrosserie</p>
                <div [ngClass]="onDeclarationForm.get('typeCarosserie').hasError('required') &&  formInvalide?'writeError':''" class="itemInput">
                    <ion-select [disabled]="typeOrigineRoutine == typeRoutineNewContratLoc && this.objetSelection!=null || typeOrigineRoutine === typeRoutineSimulationLoc" color="light" formControlName="typeCarosserie" [selectedText]="this.valCarosserie">
                        <ion-select-option *ngFor="let carosserie of monCarosseries" [value]="carosserie.libelle.substr(8)">{{carosserie.libelle | translate}}
                        </ion-select-option>
                    </ion-select>
                </div>
                <div *ngIf="showTypeCarosserie">
                    <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get('typeCarosserie').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>
                </div>
            </div> -->
            <!-- END CAROSSERIE -->
            <!-- <div class="inputBlock" *ngIf="((typeOrigineRoutine == typeRoutineNewObject || typeOrigineRoutine == typeRoutineEditObject || typeOrigineRoutine == typeRoutineSimulationLoc) && this.showTypeVehicule)">
                <p class="question" translate>type_du_vehicule</p>
                <div [ngClass]="onDeclarationForm.get('typeVehiculeMoto').hasError('required') &&  formInvalide?'writeError':''" class="itemInput">
                    <ion-select disabled color="light" formControlName="typeVehiculeMoto" [selectedText]="this.valTypeVehicule">
                        <ion-select-option *ngFor="let listeVehicule of listeVehiculeMoto" [value]="listeVehicule.code">{{listeVehicule.libelle | translate}}</ion-select-option>
                    </ion-select>
                </div>
                <div *ngIf="showTypeVehicule">
                    <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get('typeVehiculeMoto').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>
                </div>
            </div> -->




            <!-- <div class="inputs">
                <div class="inputBlock">
                    <p class="question" translate>annee_du_vehicule</p>
                    <div class="itemInput" [ngClass]="(onDeclarationForm.get('annee').hasError('required') || onDeclarationForm.get('annee').hasError('min')
    || onDeclarationForm.get('annee').hasError('max') ) &&  formInvalide?'writeError':''">
                        <ion-input [value]="infosAutomobile.annee" [disabled]="typeOrigineRoutine != typeRoutineNewObject && this.objetSelection!=null" type="number" color="light" formControlName="annee">
                        </ion-input>
                    </div>
                    <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get('annee').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>
                    <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get('annee').hasError('min')">
                        <ion-text color="danger" translate>
                            annee_inferieur_a {{minAnnee}}
                        </ion-text>
                    </p>
                    <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get('annee').hasError('max')">
                        <ion-text color="danger">
                            annee_superieur_a {{maxAnnee}}
                        </ion-text>
                    </p>


                </div>

                <div *ngIf="typeOrigineRoutine == typeRoutineNewObject && this.showNombrePlace || typeOrigineRoutine != typeRoutineNewObject" class="inputBlock">
                    <p class="question" translate>nombre_places</p>
                    <div [ngClass]="(onDeclarationForm.get('nbPlaces').hasError('required') || onDeclarationForm.get('nbPlaces').hasError('min')
  || onDeclarationForm.get('nbPlaces').hasError('max') ) &&  formInvalide?'writeError':''" class="itemInput">
                        <ion-input color="light" [disabled]="typeOrigineRoutine != typeRoutineNewObject && this.objetSelection!=null" type="number" [value]="infosAutomobile.nombrePlaces" formControlName="nbPlaces"></ion-input>

                    </div>
                    <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get('nbPlaces').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>
                    <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get('nbPlaces').hasError('min')">
                        <ion-text color="danger" translate>
                            nombre_de_place_inferieur_a {{minNombrePlace}}
                        </ion-text>
                    </p>
                    <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get('nbPlaces').hasError('max')">
                        <ion-text color="danger" translate>
                            nombre_de_place_superieur_a {{maxNombrePlace}}
                        </ion-text>
                    </p>
                </div>

            </div> -->
            <!-- <div class="inputBlock" *ngIf="typeOrigineRoutine == typeRoutineNewObject && this.showValeurDeclare || typeOrigineRoutine != typeRoutineNewObject">
                <p class="question" translate>valeur_declarative_de_votre_vehicule</p>
                <div class="itemInput" [ngClass]="onDeclarationForm.get('valeurDeclarative').hasError('required') &&  formInvalide?'writeError':''">
                    <ion-input [disabled]="typeOrigineRoutine != typeRoutineNewObject && this.objetSelection!=null" color="light" type="number" [value]="infosAutomobile.valeurDeclarative" formControlName="valeurDeclarative"></ion-input>
                </div>
            </div>
            <div class="inputBlock" *ngIf="typeOrigineRoutine == typeRoutineNewObject && this.showValeurNeuve || typeOrigineRoutine != typeRoutineNewObject">
                <p class="question" translate>valeur_initiale_de_votre_véhicule</p>
                <div class="itemInput" [ngClass]="onDeclarationForm.get('valeurInitiale').hasError('required') &&  formInvalide?'writeError':''">
                    <ion-input [disabled]="typeOrigineRoutine != typeRoutineNewObject && this.objetSelection!=null" [value]="infosAutomobile.valeurInitiale" type="number" color="light" formControlName="valeurInitiale"></ion-input>
                </div>
            </div>
            <div class="inputBlock" *ngIf="typeOrigineRoutine != typeRoutineNewObject">
                <p class="question" translate>date_de_validite_de_votre_visite_technique</p>
                <div [ngClass]="onDeclarationForm.get('controleTechnique').hasError('required') &&  formInvalide?'writeError':''" class="itemInput">
                    <ion-input [disabled]="(typeOrigineRoutine != typeRoutineNewObject && typeOrigineRoutine != typeRoutineSimulationLoc) && this.objetSelection!=null" *ngIf="infosAutomobile.controleTechnique !=null" type="date" [value]="utilsService.displayDateFormatInput(infosAutomobile.controleTechnique.dateValidite)"
                        color="light" [ngClass]="onDeclarationForm.get('controleTechnique').hasError('required') &&  formInvalide?'writeError':''" formControlName="controleTechnique"></ion-input>
                </div>
            </div>

            <div class="inputBlock" *ngIf="typeOrigineRoutine == typeRoutineNewObject && this.showDateVisiteTech">
                <p class="question" translate>date_de_validite_de_votre_visite_technique</p>
                <div [ngClass]="onDeclarationForm.get('controleTechnique').hasError('required') &&  formInvalide?'writeError':''" class="itemInput">
                    <ion-input type="date" [ngClass]="onDeclarationForm.get('controleTechnique').hasError('required') &&  formInvalide?'writeError':''" formControlName="controleTechnique"></ion-input>
                </div>
            </div> -->
            <!-- debut -->
            <ion-item-group style="margin-top : 2% ;">
                <ion-item-divider>
                    <ion-label translate>INFOS_PROPRIETAIRE</ion-label>
                </ion-item-divider>
                <p class="question" translate> informations_du_compte
                    <ion-toggle (ionChange)="toggleInfosChange()" [(ngModel)]="toggleInfos" [ngModelOptions]="{standalone: true}"></ion-toggle>modifier informations
                </p>
                <div class="inputBlock">
                    <p class="question">Civilite</p>
                    <div [ngClass]="onDeclarationForm.get('civilite').hasError('required') &&  formInvalide?'writeError':''" class="itemInput">
                        <ion-select #civilite [value]="civiliteClient" [disabled]="!toggleInfos" formControlName="civilite" color="light">

                            <ion-select-option value="Mr" translate>monsieur</ion-select-option>
                            <ion-select-option value="Mme" translate>madame</ion-select-option>
                            <ion-select-option value="Mlle" translate>mademoiselle</ion-select-option>

                        </ion-select>
                    </div>
                </div>

                <div class="inputBlock">
                    <p class="question" translate>nom</p>
                    <div class="itemInput" [ngClass]="onDeclarationForm.get('nom').hasError('required') &&  formInvalide?'writeError':''">
                        <ion-input #nom [value]="nomClient" [disabled]="!toggleInfos" color="light" formControlName="nom"></ion-input>
                    </div>
                </div>

                <div class="inputBlock">
                    <p class="question" translate>prenom</p>
                    <div class="itemInput" [ngClass]="onDeclarationForm.get('prenom').hasError('required') &&  formInvalide?'writeError':''">
                        <ion-input #prenom [value]="prenomClient" [disabled]="!toggleInfos" color="light" formControlName="prenom"></ion-input>
                    </div>
                </div>


            </ion-item-group>
            <ion-item-group style="margin-top : 2% ;">
                <ion-item-divider>
                    <ion-label>DOCUMENTS</ion-label>
                </ion-item-divider>
                <ion-row>
                    <div style="width: 95%; margin: auto;">
                        <ion-card color="light" class="ion-activated my-card" scroll-y="true" scrollbar="true">
                            <ion-item>
                                <ion-label [ngClass]="fileCarteGrise==null &&  formInvalide?'carburantError':''" style="font-size: 15px;" translate>
                                    carte_grise
                                </ion-label>
                                <div class="contentBlock" *ngIf="infosAutomobile.id !=null" (click)="chargerCarteGrise()">

                                    <p class="fileButton">
                                        <ion-label translate>
                                            telecharger
                                            <ion-icon name="ios-uploaddoc" color="blue" slot="end"></ion-icon>
                                        </ion-label>
                                    </p>
                                </div>



                            </ion-item>
                            <ion-card-content>
                                <ion-item>
                                    <br />
                                    <ion-input #myFileInputCg id="myFileInputCg" type="file" (input)='onInputTimeCg($event)' formControlName="fileCarteGrise" accept="application/pdf"></ion-input>
                                    <ion-text>{{inputFileCg.value.replace("C:\\fakepath\\","")}}</ion-text>
                                    <ion-icon name="attach" [ngClass]="fileCarteGrise==null &&  formInvalide?'carburantError':''" slot="end" for="myFileInputCg"></ion-icon>
                                </ion-item>

                            </ion-card-content>
                        </ion-card>


                    </div>

                </ion-row>
            </ion-item-group>


            <!-- fin -->
        </form>
    </div>

</ion-content>
<ion-footer>
    <div class="bottomBlock">
        <ion-button (click)="valider()">
            <ion-icon src="../../assets/icon/arrowForward.svg"></ion-icon>
        </ion-button>
    </div>

</ion-footer>
